> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of bookings

> ## Get a list of bookings ##

<p>
Retrieve a list of bookings matching the search criteria. If no search criteria are provided, the default search
returns a list of all bookings for activities on or after today's date.
</p>

#### Response ####

**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>totalMatchingRecords</td><td>n</td><td>Integer</td><td>Total number of bookings found that match the search criteria.</td>
         </tr>
         <tr>
             <td>fetchedRecords</td><td>n</td><td>Integer</td><td>Number of bookings returned in this response.</td>
         </tr>
         <tr>
             <td>results</td><td>n</td><td>Array</td><td>List of Booking objects.</td>
         </tr>
     </tbody>
 </table>

**Booking Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>bookingId</td><td>n</td><td>Integer</td><td>Unique identifier for this booking.</td>
         </tr>
         <tr>
             <td>fareName</td><td>n</td><td>String</td><td>Name of the fare type that this booking was made for.</td>
         </tr>
         <tr>
             <td>allocationName</td><td>n</td><td>String</td><td>Name of the availability allocation group that this booking was made for.</td>
         </tr>
         <tr>
             <td>bookingDate</td><td>n</td><td>Date<br/><em>(yyyy-mm-dd)</em></td><td>Date that the booking is for.</td>
         </tr>
         <tr>
             <td>createdDate</td><td>n</td><td>Date<br/><em>(ISO8601 format)</em></td><td>Date and time of the booking request</td>
         </tr>
         <tr>
             <td>redeemers</td><td>n</td><td>Array of Redeemer Objects</td><td>Customers associated with this booking</td>
         </tr>
         <tr>
             <td>pax</td><td>n</td><td>Integer</td><td>Number of people on this booking.</td>
         </tr>
         <tr>
             <td>NetRate</td><td>n</td><td>Float</td><td>Value of this booking to the operator. (per qty)</td>
         </tr>
         <tr>
             <td>RRP</td><td>n</td><td>Float</td><td>Operator retail price of this booking (per qty)</td>
         </tr>
         <tr>
             <td>voucherNumber</td><td>n</td><td>String</td><td>Voucher number for this booking.<br/>Note that one voucher may have multiple bookings.<br/>For example if the booking is for multiple nights of accommodation.</td>
         </tr>
         <tr>
             <td>cancelledDate</td><td>y</td><td>Date<br/><em>(ISO8601 format)</em></td><td>Date and time  that the booking was cancelled.</td>
         </tr>
         <tr>
             <td>cancelledReason</td><td>y</td><td>String</td><td>Reason that booking was cancelled.</td>
         </tr>
     </tbody>
 </table>

**Redeemer Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>name</td><td>n</td><td>String</td><td>Customer Name.</td>
         </tr>
         <tr>
             <td>email</td><td>n</td><td>String</td><td>Customer email address</td>
         </tr>
         <tr>
             <td>phone</td><td>n</td><td>String</td><td>Customer contact number</td>
         </tr>
         <tr>
             <td>pickup</td><td>y</td><td>String</td><td>Pickup details for this customer</td>
         </tr>
         <tr>
             <td>comment</td><td>y</td><td>String</td><td>Additional information</td>
         </tr>
         <tr>
             <td>optionalFields</td><td>n</td><td>Array of Optional Field Objects</td><td>Further requested information</td>
         </tr>
     </tbody>
 </table>

**Optional Field Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>question</td><td>n</td><td>String</td><td>Optional field question</td>
         </tr>
         <tr>
             <td>answer</td><td>n</td><td>String</td><td>Customer answer</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json get /{supplierapi}/bookings
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/bookings:
    get:
      tags:
        - Version 1
        - Booking Details
      summary: Get a list of bookings
      description: >-
        ## Get a list of bookings ##


        <p>

        Retrieve a list of bookings matching the search criteria. If no search
        criteria are provided, the default search

        returns a list of all bookings for activities on or after today's date.

        </p>


        #### Response ####


        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>totalMatchingRecords</td><td>n</td><td>Integer</td><td>Total number of bookings found that match the search criteria.</td>
                 </tr>
                 <tr>
                     <td>fetchedRecords</td><td>n</td><td>Integer</td><td>Number of bookings returned in this response.</td>
                 </tr>
                 <tr>
                     <td>results</td><td>n</td><td>Array</td><td>List of Booking objects.</td>
                 </tr>
             </tbody>
         </table>

        **Booking Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>bookingId</td><td>n</td><td>Integer</td><td>Unique identifier for this booking.</td>
                 </tr>
                 <tr>
                     <td>fareName</td><td>n</td><td>String</td><td>Name of the fare type that this booking was made for.</td>
                 </tr>
                 <tr>
                     <td>allocationName</td><td>n</td><td>String</td><td>Name of the availability allocation group that this booking was made for.</td>
                 </tr>
                 <tr>
                     <td>bookingDate</td><td>n</td><td>Date<br/><em>(yyyy-mm-dd)</em></td><td>Date that the booking is for.</td>
                 </tr>
                 <tr>
                     <td>createdDate</td><td>n</td><td>Date<br/><em>(ISO8601 format)</em></td><td>Date and time of the booking request</td>
                 </tr>
                 <tr>
                     <td>redeemers</td><td>n</td><td>Array of Redeemer Objects</td><td>Customers associated with this booking</td>
                 </tr>
                 <tr>
                     <td>pax</td><td>n</td><td>Integer</td><td>Number of people on this booking.</td>
                 </tr>
                 <tr>
                     <td>NetRate</td><td>n</td><td>Float</td><td>Value of this booking to the operator. (per qty)</td>
                 </tr>
                 <tr>
                     <td>RRP</td><td>n</td><td>Float</td><td>Operator retail price of this booking (per qty)</td>
                 </tr>
                 <tr>
                     <td>voucherNumber</td><td>n</td><td>String</td><td>Voucher number for this booking.<br/>Note that one voucher may have multiple bookings.<br/>For example if the booking is for multiple nights of accommodation.</td>
                 </tr>
                 <tr>
                     <td>cancelledDate</td><td>y</td><td>Date<br/><em>(ISO8601 format)</em></td><td>Date and time  that the booking was cancelled.</td>
                 </tr>
                 <tr>
                     <td>cancelledReason</td><td>y</td><td>String</td><td>Reason that booking was cancelled.</td>
                 </tr>
             </tbody>
         </table>

        **Redeemer Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>name</td><td>n</td><td>String</td><td>Customer Name.</td>
                 </tr>
                 <tr>
                     <td>email</td><td>n</td><td>String</td><td>Customer email address</td>
                 </tr>
                 <tr>
                     <td>phone</td><td>n</td><td>String</td><td>Customer contact number</td>
                 </tr>
                 <tr>
                     <td>pickup</td><td>y</td><td>String</td><td>Pickup details for this customer</td>
                 </tr>
                 <tr>
                     <td>comment</td><td>y</td><td>String</td><td>Additional information</td>
                 </tr>
                 <tr>
                     <td>optionalFields</td><td>n</td><td>Array of Optional Field Objects</td><td>Further requested information</td>
                 </tr>
             </tbody>
         </table>

        **Optional Field Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>question</td><td>n</td><td>String</td><td>Optional field question</td>
                 </tr>
                 <tr>
                     <td>answer</td><td>n</td><td>String</td><td>Customer answer</td>
                 </tr>
             </tbody>
         </table>
      operationId: getBookingsAction
      parameters:
        - name: productId
          in: query
          description: Only return bookings for the product with this ID.
          required: false
          schema:
            type: integer
        - name: redeemer
          in: query
          description: Only return bookings that partially match this redeemer name.
          required: false
          schema:
            type: string
        - name: voucherNumber
          in: query
          description: Only return bookings that match this voucher number.
          required: false
          schema:
            type: string
        - name: bookingDateAfter
          in: query
          description: Only return bookings for activities on or after this date.
          required: false
          schema:
            type: string
            format: date
        - name: bookingDateBefore
          in: query
          description: Only return bookings for activities before this date.
          required: false
          schema:
            type: string
            format: date
        - name: createdDateAfter
          in: query
          description: Only return bookings which were placed on or after this date.
          required: false
          schema:
            type: string
            format: date
        - name: createdDateBefore
          in: query
          description: Only return bookings which were placed before this date.
          required: false
          schema:
            type: string
            format: date
        - name: cancelledDateAfter
          in: query
          description: >-
            Only return bookings which have been cancelled on or after this
            date.
          required: false
          schema:
            type: string
            format: date
        - name: cancelledDateBefore
          in: query
          description: Only return bookings which have been cancelled before this date.
          required: false
          schema:
            type: string
            format: date
        - name: cancelled
          in: query
          description: Only return bookings which have/have not been cancelled.
          required: false
          schema:
            type: boolean
        - name: sortBy
          in: query
          description: Sort the results by this field.
          required: false
          example: bookingId
          schema:
            type: string
        - name: sortDirection
          in: query
          description: Sort the results in this direction.
          required: false
          example: desc
          schema:
            type: string
        - name: recordsStart
          in: query
          description: Position of first result to return.
          required: false
          example: 0
          schema:
            type: integer
        - name: recordsLength
          in: query
          description: Number of results to return.
          required: false
          example: 50
          schema:
            type: integer
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      responses:
        '200':
          description: Returned when successful
        '400':
          description: Invalid parameters provided
        '403':
          description: Returned when the user is not authorized
        '500':
          description: Internal error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.